#ifndef MENU_H
#define MENU_H

#define Q_OS_LINUX

#include <QWidget>
#include <QApplication>
#include <QPushButton>
#include <QDialog>
#include "addwizard.h"
#include "utility.h"


//! [0]
class menu : public QDialog
{
    Q_OBJECT

public:

enum Permissions {SuperAdmin,GroupAdmin};
    menu(QWidget *parent = 0);
 void SetPermissions(char UserPerm);

private:


QPushButton *AddButton;
QPushButton *EditButton;
QPushButton *GroupButton;

private slots:
void pressed1(void);
void pressed2(void);
void pressed3(void);
 
};
//! [0]

#endif
